<?php

declare(strict_types=1);

namespace svoboda\pechatalka\models\enumerations\products;

/**
 * Types of products
 *
 * @package svoboda\pechatalka\models\enumerations\products
 *
 * @license http://www.wtfpl.net/ Do What The Fuck You Want To Public License
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
enum type
{
	case pin_37;

	/**
	 * Areas
	 *
	 * @return array ['visible' => ['width', 'height'], 'blank' => ['width', 'height']]
	 */
	public function areas(): array
	{
		return match ($this) {
			type::pin_37 => [
				'visible' => [
					'width' => 37,
					'height' => 37
				],
				'blank' => [
					'width' => 48.5,
					'height' => 48.5
				]
			]
		};
	}
}
